Skip to Content
avatar image
Former Member

Netweaver 7.30 AS Java - ENGINEAPI update - other components?

Hello experts,

I have an issue with MII 12.2 SP05 installed over a Netweaver 7.30 AS Java (platform is Windows Server 64 bit / Sybase ASE). I have opened a SAP note for it, and the support replied that I should update component ENGINEAPI, which initially was SP04 patch level 3, to a higher patch level.

The reply also mentions note 1758832, which about this topic says:

"Prior to patching  NetWeaver, you need to read and understand the release installation  notes associated with the EngineAPI and DI_Clients patches and determine  if there are additional components which also require patching.  Be sure  to read and understand the NetWeaver upgrade guide"

Fair enough, but in a day of searching I haven't been able to find if there are "additional components which also require patching". I couldn't find no notes in the SAP KB about this topic, and there's no mention of those in the documentation I've found about updating/upgrading Netweaver 7.30.

All I managed to do is to update ENGINEAPI itself, bringing it to patch level 21. I also checked DI_CLIENTS and found I'm already running the latest patch level for my current Support Package (SP04 pl 3). My issue isn't solved, though, so I guess I'm still missing a few pieces.

So my question is: is there a way to find out what other components I need to update? Or is a Solution Manager the only way to find out about those prerequisite components the note mentions? I was hoping I could avoid that... 😊

Thanks for your help, kind regards.

--

M

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Best Answer
    Jun 04, 2013 at 09:21 PM

    Hi Marcello,

    Hope you are doing good.

    Please see note 1794179 :

    "

    Due to the highly tight interdependency model of the Java Core, if you apply a patch in any of the main components of the Core, you will have to patch also the other components related.

    The main components of the core are:

    • BASETABLES
    • J2EEFRMW
    • ENGINEAPI
    • SERVERCORE
    • CORETOOLS
    • J2EE-APPS*

    "

    We have seen many issues cause the core components were not patched together; hence please consider deploying  ALL the above SCAs.

    Thank you and have a nice day :).

    _____________

    Kind Regards,

    Hemanth

    Add comment
    10|10000 characters needed characters exceeded

  • Jun 04, 2013 at 01:10 AM

    I don't think you can figure out the dependencies with MOPZ either. When selecting an SP stack in MOPZ, all the latest released patches for the selected components will be downloaded. If the information of the "other components requiring patching" is not given in the SAP note, there is not much you can do. At least with portal patches, SAP tends to also list the other components requiring patching in the end section of the SAP note.

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Jun 04, 2013 at 06:36 AM

    Dear Marcello,

    You are running with old SP level (SP04). The problem with NW Java is the patches for specific SP aren't always updated and certain components get updated via SP only.

    This is the case for your issue. You have updated the ENGINEAPI to SP04 PL21 which is available at 16.05.2013 but the DI_CLIENT for SP04 only has updated at 08.09.2011(SP03 PL01, there is no PL03). I think the only option you got to solve this issue by implementing SP.

    Best Regards,

    Achmad

    Add comment
    10|10000 characters needed characters exceeded